Linux源码安装Nginx

1. 下载Nginx源码包下载地址:http://nginx.org/en/download.html,将下载后的tar.gz文件复制到服务器某目录下。2. 安装配置-说明Nginx的安装配置参考官方文档http://nginx.org/en/docs/configure.html从配置文档...

阅读全文

Linux(Centos)源码安装GCC

下载GCC源码包官网下载地址https://gcc.gnu.org/mirrors.html,因为包比较大,我就直接使用如下命令将文件包下载到了服务器上。wget http://mirrors-usa.go-parts.com/gcc/releases/gcc-6.4.0/gcc-6.4.0.tar.gz...

阅读全文

Missing小逗X(也是气人的小家伙)

第一次跟丫头分开这么久,之前因为出差也分开过一次,但跟这次是完全不一样的感觉。虽然最终就回去待个5、6天,但可能是丫头最开始决定的时候说的时间太长了,让我觉得要分开好久。我觉得也有可能是我越来越不舍...

阅读全文

Toolbar的使用详细介绍

Toolbar能够为运行API7和更高版本的安卓设备上提供Matrial Design效果,可以保证不同安卓系统的设备能够尽可能保持一样的用户体验,所以安卓推荐使用Toolbar代替原生操作栏(ActionBar)。但实际上并不是这样的,...

阅读全文

没胸,肾好

5月23早上起床后我拉开窗帘,然后顺手就把灯关上了。因为外面小雨,天色依然有些暗淡。丫头:“把灯给我打开,抠搜的。”\(;¬_¬) 昨晚跟丫头吃饭回去的路上,丫头跟我说话有点冷(因为工作上的事心情不好),我...

阅读全文

Fiddler无法抓取360安全浏览器的数据

使用Fiddler抓取网页数据的时候,可以获取到IE的数据,但是360安全浏览器中的内容却获取不到,可以通过改变代理服务器设置来修复。操作步骤:工具(T) 代理服务器 使用IE代理设置 ,如下图所示这样Fiddler又可以...

阅读全文

Error:org.gradle.api.internal.tasks.DefaultTaskInputs$TaskInputUnionFileCollection cannot be cast to org.gradle.api.internal.file.collections.DefaultConfigurableFileCollection

从网上download了一个别人的项目想要运行看一下,在grandle的时候报下面的错误:Error:org.gradle.api.internal.tasks.DefaultTaskInputs$TaskInputUnionFileCollection cannot be cast to org.gradle.api.intern...

阅读全文

CSS设置height为0依然溢出

今天我在开发一个网页组件的时候,有一个div需要隐藏,但是因为功能需要又不能设置display为none,所以设置height为0。我发现将height设置为0,仍然有一部分漏在外面,无论怎么修改margin或者padding都没有用。如...

阅读全文

“我想喝酒”

5月21日,丫头因为工作上的事不开心,我送丫头回家的路上,一直在鼓励她,劝她,让她知道不管发生什么我都陪在她的身边。我告诉丫头:“生活可能有很多不尽人意的地方,就像十渡不像我们的期待一样,但是总归还有...

阅读全文

十渡

好不容易挤出两天时间能跟丫头出来玩,内心自然无比激动,对这趟十渡之旅充满着期待。有山有水,凉风习习,白天游客熙熙攘攘,晚上夜市热热闹闹······ 我和丫头坐了3个多小时的车最终才到达了目的地,一下车的那...

阅读全文

INSTALL_FAILED_NO_MATCHING_ABIS

Android应用程序在AMD(android虚拟设备)上运行的时候,会报INSTALL_FAILED_NO_MATCHING_ABIS 的错误。这是因为程序中使用了Native Library,而是用的Native Library不支持当前AMD的CPU结构。因为这些库的编译目...

阅读全文

Starting: Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] cmp=com.tra

Android程序在启动的时候报错:Starting: Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] cmp=com.tra,是因为项目依赖的appcompat包不是最新版本。当你gradle项目的时候,And...

阅读全文